"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClearType = exports.PunishmentType = exports.MuteType = exports.Events = void 0;
/**
 * @typedef {object} Events
 *
 * @prop {string} READY Module 'ready' event
 * @prop {string} BAN Module 'ban' event
 * @prop {string} KICK Module 'kick' event
 * @prop {string} UNBAN Module 'unban' event
 * @prop {string} WARN_ADD Module 'warnAdd' event
 * @prop {string} WARN_REMOVE Module 'warnRemove' event
 * @prop {string} MUTE_ENDED Module 'muteEnded' event
 * @prop {string} MUTE_STARTED Module 'muteStarted' event
 */
var Events;
(function (Events) {
    Events["READY"] = "ready";
    Events["BAN"] = "ban";
    Events["KICK"] = "kick";
    Events["UNBAN"] = "unban";
    Events["WARN_ADD"] = "addWarn";
    Events["WARN_REMOVE"] = "removeWarn";
    Events["MUTE_ENDED"] = "muteEnded";
    Events["MUTE_STARTED"] = "muteStarted";
})(Events = exports.Events || (exports.Events = {}));
/**
 * @typedef {object} MuteType
 *
 * @prop {string} TEMPORARY Temporary mute type
 * @prop {string} PERMANENT Permanent mute type
 */
var MuteType;
(function (MuteType) {
    MuteType["TEMPORARY"] = "MUTE_TEMPORARY";
    MuteType["PERMANENT"] = "MUTE_PERMANENT";
})(MuteType = exports.MuteType || (exports.MuteType = {}));
/**
 * @typedef {object} PunishmentType
 *
 * @prop {string} MUTE Punishment 'mute' type
 * @prop {string} TEMPMUTE Punishment 'tempmute' type
 * @prop {string} BAN Punishment 'ban' type
 * @prop {string} KICK Punishment 'kick' type
 */
var PunishmentType;
(function (PunishmentType) {
    PunishmentType["MUTE"] = "PUNISHMENT_MUTE";
    PunishmentType["TEMPMUTE"] = "PUNISHMENT_TEMPMUTE";
    PunishmentType["BAN"] = "PUNISHMENT_BAN";
    PunishmentType["KICK"] = "PUNISHMENT_KICK";
})(PunishmentType = exports.PunishmentType || (exports.PunishmentType = {}));
/**
 * @typedef {object} ClearType
 *
 * @prop {string} ALL Clear all data mode
 * @prop {string} GUILD Clear guild data mode
 * @prop {string} USER_GUILD Clear user from guild data mode
 * @prop {string} USER_GLOBAL Clear global user data mode
 */
var ClearType;
(function (ClearType) {
    ClearType["ALL"] = "CLEAR_ALL";
    ClearType["GUILD"] = "CLEAR_GUILD";
    ClearType["USER_GUILD"] = "CLEAR_USER_GUILD";
    ClearType["USER_GLOBAL"] = "CLEAR_USER_GLOBAL";
})(ClearType = exports.ClearType || (exports.ClearType = {}));
